Module java.desktop
Package javax.print.attribute.standard

## Class JobPrioritySupported

- java.lang.Object
- - javax.print.attribute.IntegerSyntax
  - - javax.print.attribute.standard.JobPrioritySupported

All Implemented Interfaces:
  Serializable, Cloneable, Attribute, SupportedValuesAttribute

    public final class JobPrioritySupported
    extends IntegerSyntax
    implements SupportedValuesAttribute

Class JobPrioritySupported is an integer valued printing attribute class that specifies whether a Print Service instance supports the `JobPriority` attribute and the number of different job priority levels supported.

The client can always specify any `JobPriority` value from 1 to 100 for a job. However, the Print Service instance may support fewer than 100 different job priority levels. If this is the case, the Print Service instance automatically maps the client-specified job priority value to one of the supported job priority levels, dividing the 100 job priority values equally among the available job priority levels.

IPP Compatibility: The integer value gives the IPP integer value. The category name returned by `getName()` gives the IPP attribute name.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JobPrioritySupported(int value)` Construct a new job priority supported attribute with the given integer value.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object object)` Returns whether this job priority supported attribute is equivalent to the passed in object.
`Class<? extends Attribute>` `getCategory()` Get the printing attribute class which is to be used as the "category" for this printing attribute value.
`String` `getName()` Get the name of the category of which this attribute value is an instance.

### Methods inherited from class javax.print.attribute.IntegerSyntax

`getValue, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JobPrioritySupported

    public JobPrioritySupported(int value)

Construct a new job priority supported attribute with the given integer value.

Parameters:
  `value` - Number of different job priority levels supported.
Throws:
  `IllegalArgumentException` - (Unchecked exception) Thrown if `value` is less than 1 or greater than 100.

### Method Detail

#### equals

    public boolean equals(Object object)

Returns whether this job priority supported attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:

1. `object` is not null.
2. `object` is an instance of class JobPrioritySupported.
3. This job priority supported attribute's value and `object`'s value are equal.

Overrides:
  `equals` in class `IntegerSyntax`
Parameters:
  `object` - Object to compare to.
Returns:
  True if `object` is equivalent to this job priority supported attribute, false otherwise.
See Also:
  `Object.hashCode()`, `HashMap`

#### getCategory

    public final Class<? extends Attribute> getCategory()

Get the printing attribute class which is to be used as the "category" for this printing attribute value.

For class JobPrioritySupported, the category is class JobPrioritySupported itself.

Specified by:
  `getCategory` in interface `Attribute`
Returns:
  Printing attribute class (category), an instance of class `java.lang.Class`.

#### getName

    public final String getName()

Get the name of the category of which this attribute value is an instance.

For class JobPrioritySupported, the category name is `"job-priority-supported"`.

Specified by:
  `getName` in interface `Attribute`
Returns:
  Attribute category name.